Subject: Re: bug#25643: po/Makefile.in.in is missing top_builddir

From: Jim Meyering <[email-masked]>
Date: Tue, 7 Feb 2017 12:14:56 -0800

On Tue, Feb 7, 2017 at 7:18 AM, Max Horn <[email-masked]> wrote:
> this is a bug that affects grep 2.28 and several preceding versions: The
> po/Makefile.in.in is using $top_builddir, but the variable is never set.
> Fixing this is of course trivial, one just needs to insert
>
>  top_builddir = @top_builddir@
>
> in the appropriate place. However, this file is not present in the grep
> repository, so I am guessing it is generated by something (gettext?). As I
> have no idea how this all works, I am afraid I cannot supply a proper patch,
> but I hope the issue is clear, and that you will know how to resolve it.

Thank you for the report. Did you notice some sort of failure? If so,
please tell us what you saw, what you expected, and how to reproduce
the failure.